# $Id: smeserver-sendmail-wrapper.spec,v 1.4 2024/02/29 02:19:25 jpp Exp $
# Authority: unnilennium
# Name: Jean-Philippe Pialasse 

Summary: smeserver-sendmail-wrapper
%define name smeserver-sendmail-wrapper
%define version 0.1
%define release 6
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tgz
Patch0: smeserver-sendmail-wrapper-0.1-logfile.patch
Patch1: smeserver-sendmail-wrapper-0.1-domainName.patch
Patch2: smeserver-sendmail-wrapper-0.1-fixlogrotate.patch
Patch3: smeserver-sendmail-wrapper-0.1-bz10737-php73.patch
Patch4: smeserver-sendmail-wrapper-0.1-bz11739-sme10.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: e-smith-devtools >= 1.13.1-03
Requires: smeserver-release >= 9.0

%description
sendmail wrapper and templates to redirect php emails to qpsmtpd instead of qmail.
This is intended to introduce a little more verification before sending email thanks to the plugins of qpsmtpd instead of simply sending them blindly withthe qmail sendmail wrapper.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
mkdir -p root/var/log/sendmail

rm -rf  root/etc/e-smith/templates/opt
%patch4 -p1

%build
/usr/bin/perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
| grep -v var/log/sendmail > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root,-)
%attr( 770 , www,www) /var/log/sendmail

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch /etc/hosts.deny_ssh

%changelog
* Wed Feb 28 2024 Jean-Philippe Pialasse <tests@pialasse.com> 0.1-6.sme
- fix missing su for logrotate [SME: 12495]

* Sat Nov 06 2021 Jean-Philippe Pialasse <tests@pialasse.com> 0.1-5.sme
- import to SME10 [SME: 11739]

* Tue Apr 07 2020 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-4.sme
- add php73 support [SME: 10737]
  fix typo for php72

* Wed Mar 07 2018 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-3.sme
- fix error on logrotate [SME: 10525]

* Fri Mar 02 2018 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-2.sme
- fix log not accessible [SME: 10525]
  moved to a www writable directory, also a logrotate has been added
- fix sendmail wrapper fails if not used by root 

* Fri Aug 18 2017 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-1.sme
- Initial version
